Debian Bug report logs - #375649
ITA: gnu-smalltalk -- GNU Smalltalk - an implementation of Smalltalk-80

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Mohammed Adnène Trojette <adn+deb@diwi.org>

Date: Tue, 27 Jun 2006 12:33:03 UTC

Owned by: Debian GNU Smalltalk maintainers <pkg-gnu-smalltalk-devel@lists.alioth.debian.org>

Severity: normal

Fixed in version gnu-smalltalk/2.3.3-1

Done: Thomas Girard <thomas.g.girard@free.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Brett Cundal <bcundal@cundal.net>, <wnpp@debian.org>:
Bug#375649; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mohammed Adnène Trojette <adn+deb@diwi.org>:
New Bug report received and forwarded. Copy sent to Brett Cundal <bcundal@cundal.net>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mohammed Adnène Trojette <adn+deb@diwi.org>
To: submit@bugs.debian.org
Subject: RFA: gnu-smalltalk -- GNU Smalltalk - an implementation of Smalltalk-80
Date: Tue, 27 Jun 2006 14:03:30 +0200
Package: wnpp
Severity: normal

The current maintainer of gnu-smalltalk, Brett Cundal <bcundal@cundal.net>,
is OK if someone takes over the maintenance of this package.

If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-rfa for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: gnu-smalltalk
Binary: gnu-smalltalk, gnu-smalltalk-doc
Version: 2.1.8-2.1
Priority: extra
Section: interpreters
Maintainer: Brett Cundal <bcundal@cundal.net>
Build-Depends: debhelper (>> 3.0.0), devscripts, autotools-dev, tcl8.3-dev, tk8.3-dev, libreadline5-dev | libreadline-dev, bison
Architecture: any
Standards-Version: 3.6.1.0
Format: 1.0
Directory: pool/main/g/gnu-smalltalk
Files:
 e2d770a858aa13bbe5e57cd8d4ebe354 706 gnu-smalltalk_2.1.8-2.1.dsc
 dd55006e41c87ddbf90f7cd2166b290b 3403467 gnu-smalltalk_2.1.8.orig.tar.gz
 71cd787bda6c3116ccc28879de238a74 6797 gnu-smalltalk_2.1.8-2.1.diff.gz

Package: gnu-smalltalk
Priority: extra
Section: interpreters
Installed-Size: 8240
Maintainer: Brett Cundal <bcundal@cundal.net>
Architecture: i386
Version: 2.1.8-2.1
Depends: libc6 (>= 2.3.5-1), libreadline5 (>= 5.1), libx11-6, tcl8.3 (>= 8.3.5), tk8.3 (>= 8.3.5)
Suggests: gnu-smalltalk-doc
Filename: pool/main/g/gnu-smalltalk/gnu-smalltalk_2.1.8-2.1_i386.deb
Size: 2092970
MD5sum: c1655e11825ff7865a73e48dfbae656b
Description: GNU Smalltalk - an implementation of Smalltalk-80
 GNU Smalltalk is an implementation that closely follows the
 Smalltalk-80 language as described in the book `Smalltalk-80: the
 Language and its Implementation' by Adele Goldberg and David Robson.
 .
 This package contains the executable program gst.
Tag: devel::interpreter, uitoolkit::tk

Package: gnu-smalltalk-doc
Priority: extra
Section: doc
Installed-Size: 204
Maintainer: Brett Cundal <bcundal@cundal.net>
Architecture: all
Source: gnu-smalltalk
Version: 2.1.8-2.1
Depends: info | info-browser
Conflicts: gnu-smalltalk (= 1.95.8-1)
Filename: pool/main/g/gnu-smalltalk/gnu-smalltalk-doc_2.1.8-2.1_all.deb
Size: 141662
MD5sum: 629554f30a327543b357f337496d2f77
Description: Info documentation for GNU Smalltalk
 GNU Smalltalk is an implementation that closely follows the
 Smalltalk-80 language as described in the book `Smalltalk-80: the
 Language and its Implementation' by Adele Goldberg and David Robson.
 .
 This package contains the documentation in info format.
Tag: devel::interpreter, role::content:doc

-- 
adn
Mohammed Adnène Trojette



Changed Bug title. Request was from "Diego Mauricio Paz Carrillo" <dimpac@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Diego Mauricio Paz Carrillo <dimpac@gmail.com>. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Diego Mauricio Paz Carrillo <dimpac@gmail.com>:
Bug#375649; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Thomas Girard <thomas.g.girard@free.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Diego Mauricio Paz Carrillo <dimpac@gmail.com>. Full text and rfc822 format available.

Message #16 received at 375649@bugs.debian.org (full text, mbox):

From: Thomas Girard <thomas.g.girard@free.fr>
To: Diego Mauricio Paz Carrillo <dimpac@gmail.com>
Cc: 375649@bugs.debian.org
Subject: Re: ITA: gnu-smalltalk -- GNU Smalltalk - an implementation of Smalltalk-80
Date: Sat, 2 Dec 2006 11:15:21 +0100
Hello Diego,

On Sun, Sep 24, 2006 at 04:56:16PM +1000, Diego Mauricio Paz Carrillo wrote:
> Hi, i would like to adopt this package because i have some free time
> and i would like to start collaborating in the debian project,

Any progress on this? I was thinking of adopting gnu-smalltalk, but you
have been faster than me :-)

Maybe we could work on this together? There's a lot of issues to solve.

Regards,

Thomas



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Diego Mauricio Paz Carrillo <dimpac@gmail.com>:
Bug#375649; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Thomas Girard <thomas.g.girard@free.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Diego Mauricio Paz Carrillo <dimpac@gmail.com>. Full text and rfc822 format available.

Message #21 received at 375649@bugs.debian.org (full text, mbox):

From: Thomas Girard <thomas.g.girard@free.fr>
To: 375649@bugs.debian.org
Cc: control@bugs.debian.org
Subject: ITA: gnu-smalltalk -- GNU Smalltalk - an implementation of Smalltalk-80
Date: Wed, 13 Dec 2006 11:10:13 +0100
owner 375649 Debian GNU Smalltalk maintainers <pkg-gnu-smalltalk-devel@lists.alioth.debian.org>
thanks


Hello,

We'll work on this ITA as a team composed of Diego and I.

Cheers,

Thomas



Owner changed from Diego Mauricio Paz Carrillo <dimpac@gmail.com> to Debian GNU Smalltalk maintainers <pkg-gnu-smalltalk-devel@lists.alioth.debian.org>. Request was from Thomas Girard <thomas.g.girard@free.fr> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Thomas Girard <thomas.g.girard@free.fr>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mohammed Adnène Trojette <adn+deb@diwi.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #30 received at 375649-close@bugs.debian.org (full text, mbox):

From: Thomas Girard <thomas.g.girard@free.fr>
To: 375649-close@bugs.debian.org
Subject: Bug#375649: fixed in gnu-smalltalk 2.3.3-1
Date: Sun, 11 Mar 2007 14:09:38 +0000
Source: gnu-smalltalk
Source-Version: 2.3.3-1

We believe that the bug you reported is fixed in the latest version of
gnu-smalltalk, which is due to be installed in the Debian FTP archive:

gnu-smalltalk-common_2.3.3-1_all.deb
  to pool/main/g/gnu-smalltalk/gnu-smalltalk-common_2.3.3-1_all.deb
gnu-smalltalk-doc_2.3.3-1_all.deb
  to pool/main/g/gnu-smalltalk/gnu-smalltalk-doc_2.3.3-1_all.deb
gnu-smalltalk-el_2.3.3-1_all.deb
  to pool/main/g/gnu-smalltalk/gnu-smalltalk-el_2.3.3-1_all.deb
gnu-smalltalk_2.3.3-1.diff.gz
  to pool/main/g/gnu-smalltalk/gnu-smalltalk_2.3.3-1.diff.gz
gnu-smalltalk_2.3.3-1.dsc
  to pool/main/g/gnu-smalltalk/gnu-smalltalk_2.3.3-1.dsc
gnu-smalltalk_2.3.3-1_i386.deb
  to pool/main/g/gnu-smalltalk/gnu-smalltalk_2.3.3-1_i386.deb
gnu-smalltalk_2.3.3.orig.tar.gz
  to pool/main/g/gnu-smalltalk/gnu-smalltalk_2.3.3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 375649@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Girard <thomas.g.girard@free.fr> (supplier of updated gnu-smalltalk package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue,  6 Mar 2007 19:54:31 +0000
Source: gnu-smalltalk
Binary: gnu-smalltalk-doc gnu-smalltalk-common gnu-smalltalk-el gnu-smalltalk
Architecture: source all i386
Version: 2.3.3-1
Distribution: experimental
Urgency: low
Maintainer: Debian GNU Smalltalk maintainers <pkg-gnu-smalltalk-devel@lists.alioth.debian.org>
Changed-By: Thomas Girard <thomas.g.girard@free.fr>
Description: 
 gnu-smalltalk - GNU Smalltalk virtual machine
 gnu-smalltalk-common - GNU Smalltalk class library
 gnu-smalltalk-doc - GNU Smalltalk info documentation
 gnu-smalltalk-el - GNU Smalltalk Emacs front-end
Closes: 233365 255416 297113 301573 306045 307238 356043 375649 398571
Changes: 
 gnu-smalltalk (2.3.3-1) experimental; urgency=low
 .
   * New maintainer team. Closes: #375649.
   * New upstream release. Closes: #301573.
   * Apply patch from Petr Salinger to fix FTBFS on GNU/kFreeBSD.
     Closes: #398571.
   * Bump debhelper compat to 5.
   * Bump Standards-Version: to 3.7.2.
   * gnu-smalltalk-common: new arch-indep package. Closes: #233365.
   * gnu-smalltalk-el: fixes emacs issues. Closes: #307238, #297113.
   * Removed from package: *.h, *.a unsupported/ and examples/ subdirs.
   * Add missing info files. Closes: #306045.
   * Switch to tk8.4. Closes: #356043.
   * Fix conflict version for gnu-smalltalk-doc.
   * Remove bison and devscripts from build dependencies.
   * Drop unneeded maintainer scripts.
   * Compilation and test pass on amd64 and sparc. Thanks to nowhere_man
     and Toadstool for testing. Closes: #255416.
Files: 
 91f920bd6e3964ffa2f8036d019c3cd6 857 interpreters extra gnu-smalltalk_2.3.3-1.dsc
 79eaff2e19b82b5da08ac5a939317a49 4302098 interpreters extra gnu-smalltalk_2.3.3.orig.tar.gz
 51af87a9055bc2b6ea1c9ebcae249b4d 95712 interpreters extra gnu-smalltalk_2.3.3-1.diff.gz
 c06c4b26c95c37392234a1e0af82b732 431028 doc extra gnu-smalltalk-doc_2.3.3-1_all.deb
 bdbddaa336e56edb2954915c907fb2bf 984508 interpreters extra gnu-smalltalk-common_2.3.3-1_all.deb
 ebed4d46fd9ed8d03ff1d7cee555116e 58340 interpreters extra gnu-smalltalk-el_2.3.3-1_all.deb
 425a38533e03023d5b935c9477429776 800406 interpreters extra gnu-smalltalk_2.3.3-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFF8DDH+C5cwEsrK54RArZCAJoDr6vItKg7cjBLLPna/RY/wboa4ACg36sZ
na1QhpxwuK7kDW19BJs26pM=
=hvex
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 06:45:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:36:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.